/****************************************************************************
* helpdialog.cpp
*
* Copyright (C) 2004 Rafal Mantiuk <rafm@users.sourceforge.org>
*
* This program is based on the kbedic dictionary by 
* Radostin Radnev <radnev@yahoo.com>.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
****************************************************************************/

#include "helpdialog.h"

#include <qlayout.h>
#include <qhbox.h>
#include <qpushbutton.h>

#include "zbedic.h"

HelpDialog::HelpDialog( QWidget *parent ) :
  QDialog( parent, tr( "zbedic: Help" ), true )
{
  QBoxLayout *l = new QVBoxLayout( this );
  l->setMargin( 4 );

  QHBox *hbox = new QHBox(this);
  l->addWidget( hbox );

  QPushButton *home = new QPushButton(abstractLoadPixmap("home"), QString::null, hbox);
//  home->setFixedWidth( home->pixmap()->width() + 2 );
  QPushButton *back = new QPushButton(abstractLoadPixmap("zbedic/back"), QString::null, hbox);
//  back->setFixedWidth( back->pixmap()->width() + 2 );
  QPushButton *forward = new QPushButton(abstractLoadPixmap("zbedic/forward"), QString::null, hbox);    
//  forward->setFixedWidth( forward->pixmap()->width() + 2 );

  QPushButton *close = new QPushButton( tr( "Close" ), hbox );    
  
  QTextBrowser *browser = new QTextBrowser( this );
  l->addWidget( browser );
  browser->setSource( "file:://" PREFIX_PATH "/share/doc/zbedic/zbedic.html" );

  connect( home, SIGNAL( clicked() ), browser, SLOT(home()) );
  connect( back, SIGNAL( clicked() ), browser, SLOT(backward()) );
  connect( forward, SIGNAL( clicked() ), browser, SLOT(forward()) );
  connect( close, SIGNAL( clicked() ), this, SLOT(accept()) );
  
  adjustSize();
}
